<!DOCTYPE html>
  <head>
    <title data-i18n="page-title"> </title>
    <meta name="viewport" content="initial-scale=1.0" />
    <meta charset="utf-8" />
    <meta name="author" content="Anti-Eviction Mapping Project" />
    <meta
      name="description"
      content="Onde legislacao de protecao à moradia foi aprovada durante a crise do coronavírus e onde acoes em defesa da moradia estão ocorrendo" />
  </head>
  <body>
    <div id="root">
      <header id="aemp-titlebox">
        <h1 data-i18n="titlebox.title" id="aemp-title"></h1>
        <details open>
          <summary data-i18n="titlebox.about-map"></summary>
          <div class="title-content-wrapper">
            <h2 data-i18n="titlebox.housing-action-title"></h2>
            <p data-i18n="titlebox.housing-action-description"></p>
            <p>
              <a
                href="https://reclus.mapacovid19.online/form/hausjustice"
                target="_blank"
                data-i18n="titlebox.housing-action-form"
              ></a>
            </p>
	    <h2 data-i18n="titlebox.about-protections"></h2>
            <p data-i18n="titlebox.about-description"></p>
            <p>
              <a
                href=""
                target="_blank"
                data-i18n="titlebox.legislation-form-intl"
              ></a>
            </p>
            <p>
              <a
                href=""
                target="_blank"
                data-i18n="titlebox.legislation-form-usa"
              ></a>
            </p>
            <div class="legend">
              <div class="legendpair">
                <div class="legendbox scale1">&nbsp;</div>
                <span data-i18n="policy-strength.1"></span>
              </div>
              <div class="legendpair">
                <div class="legendbox scale2">&nbsp;</div>
                <span data-i18n="policy-strength.2"></span>
              </div>
              <div class="legendpair">
                <div class="legendbox scale3">&nbsp;</div>
                <span data-i18n="policy-strength.3"></span>
              </div>
              <div class="legendpair">
                <div class="legendbox-svg">
                  <svg width="14" height="14">
                    <rect x="2" y="2" width="10" height="10"></rect>
                  </svg>
                </div>
                <em data-i18n="policy-strength.expired"></em>
              </div>
            </div>
            <h2 data-i18n="titlebox.resources.title"></h2>
            <p data-i18n="titlebox.resources.description"></p>
            <p>
              <a
                href="https://cancelrent.us/"
                target="_blank"
                data-i18n="titlebox.resources.right-to-the-city"
              ></a>
            </p>
            <p>
              <a
                href="https://housingnotprofit.org/"
                target="_blank"
                data-i18n="titlebox.resources.hashtag-cancel-rent"
              ></a>
            </p>
            <p>
              <a
                href="https://thenewinquiry.com/rent-strike-2020/"
                target="_blank"
                data-i18n="titlebox.resources.right-to-the-city"
              ></a>
            </p>
            <h2 data-i18n="titlebox.accreditation.title"></h2>
            <p>
              <a
                data-i18n="titlebox.accreditation.link"
                target="_blank"
                href="https://notanatlas.org/mapa-moradia-covid"
              ></a>
            </p>
          </div>
        </details>
      </header>

      <!-- the Leaflet map container -->
      <div id="map"></div>

      <!-- the infowindow popup container -->
      <div id="aemp-infowindow-container"></div>

      <!-- the loading container -->
      <div id="loading-container">
        <div id="loader"></div>
      </div>
    </div>

    <!--
      This script element will not be displayed, it just                                                                                                                holds our Leaflet popup template
    -->
    <script class="popup-template" type="x-tmpl-mustache">
      <div class="popup-container locality-popup-container">
        <div>
          <p class="popup-title">
            <strong>{{popupName}}</strong>
          </p>
        </div>
      </div>
    </script>

    <script class="rentstrike-popup-template" type="x-tmpl-mustache">
      <div class="popup-container locality-popup-container">
        <div>
          <p class="popup-title">
            <strong>{{location}}</strong>
          </p>
        </div>
      </div>
    </script>

    <script id="aemp-infowindow-template" type="x-tmpl-mustache">
      <div class="aemp-infowindow">
        <a class="aemp-infowindow-close" href="#close">×</a>

        <div>
          <p class="infowindow-title">
            <strong data-i18n="infowindow.policy.title"></strong>
          </p>
        </div>

        <div>
          <p>
            <strong data-i18n="infowindow.policy.jurisdictionType.{{jurisdictionTypeI18n}}"></strong><strong>: </strong>{{jurisdictionName}}
          </p>
        </div>

        {{#range}}
        <div>
          <p>
            <strong data-i18n="infowindow.policy.strength-label"></strong>
            <span class="policy-strength-color policy-strength-color--{{range}}" data-i18n="policy-strength.{{range}}"></span>
          </p>
        </div>
        {{/range}}

        {{#endDateEarliest}}
        <div>
          <p><strong data-i18n="infowindow.policy.protections-end-label"></strong> {{endDateEarliest}}</p>
        </div>
        {{/endDateEarliest}}

        {{#endDateLegist}}
        <div>
          <p><strong data-i18n="infowindow.policy.strength-label"></strong> {{endDateLegist}}</p>
        </div>
        {{/endDateLegist}}

        {{#endDateRentRelief}}
        <div>
          <p><strong data-i18n="infowindow.policy.strength-label"></strong> {{endDateRentRelief}}</p>
        </div>
        {{/endDateRentRelief}}

        {{#endDateCourt}}
        <div>
          <p><strong data-i18n="infowindow.policy.strength-label"></strong> {{endDateCourt}}</p>
        </div>
        {{/endDateCourt}}

        {{#policy_summary}}
        <div>
          <p><strong data-i18n="infowindow.policy.summary-label"></strong></p>
          <p>{{policy_summary}}</p>
        </div>
        {{/policy_summary}}

        {{#start}}
        <div>
          <p><strong data-i18n="infowindow.policy.start-date-label"></strong> {{start}}</p>
        </div>
        {{/start}}

        {{#_end}}
        <div>
          <p><strong data-i18n="infowindow.policy.end-date-label"></strong> {{end}}</p>
        </div>
        {{/_end}}

        {{#link}}
        <div>
          <p><a target="_blank" href="{{link}}" rel="noopener noreferrer" data-i18n="infowindow.policy.link">View more info.</a></p>
        </div>
        {{/link}}
      </div>
    </script>

    <script id="aemp-rentstrike-infowindow-template" type="x-tmpl-mustache">
      <div class="aemp-infowindow">
        <a class="aemp-infowindow-close" href="#close">×</a>
        <div>
          <p class="infowindow-title">
            <strong data-i18n="infowindow.action.title"></strong>
          </p>
        </div>
        <div>
          <p>
            <strong data-i18n="infowindow.action.type-label"></strong> {{strike_type}}
          </p>
	  <p>
            <strong data-i18n="infowindow.action.loc-label"></strong> {{location}}
          </p>
          <p><strong data-i18n="infowindow.action.status-label"></strong> {{status}}</p>
        </div>
        {{#why}}
        <div>
          <p><strong data-i18n="infowindow.action.why-label"></strong> {{why}}</p>
        </div>
        {{/why}}
        {{#start}}
        <div>
          <p><strong data-i18n="infowindow.action.start-date-label"></strong> {{start}}</p>
        </div>
        {{/start}}
        {{#resources}}
        <div>
          <p><strong data-i18n="infowindow.action.resources-label"></strong> 
	  <a target="_blank" href="{{resources}}" rel="noopener noreferrer"> {{resources}}</p>
        </div>
        {{/resources}}
        {{#desire_contact}}
        <div>
          <p><strong data-i18n="infowindow.action.desire-contact"></strong></p>
        </div>
        {{/desire_contact}}
      </div>
    </script>
    <!-- Leaflet map SVG patterns -->
    <svg id="map-pattern-fills" width="0" height="0" aria-hidden="true">
      <defs>
        <pattern
          id="pattern-few-protections"
          x="0"
          y="0"
          width="8"
          height="8"
          patternUnits="userSpaceOnUse"
          patternContentUnits="userSpaceOnUse"
          patternTransform="rotate(45)"
        >
          <path
            stroke="#d9f0a3"
            stroke-opacity="1"
            stroke-width="4"
            stroke-linecap="round"
            stroke-linejoin="round"
            fill="none"
            pointer-events="none"
            d="M0 2 H 8"
          ></path>
          <path
            stroke="#ffffff"
            stroke-opacity="0"
            stroke-width="4"
            stroke-linecap="round"
            stroke-linejoin="round"
            fill="none"
            pointer-events="none"
            d="M0 6 H 8"
          ></path>
        </pattern>
        <pattern
          id="pattern-some-protections"
          x="0"
          y="0"
          width="8"
          height="8"
          patternUnits="userSpaceOnUse"
          patternContentUnits="userSpaceOnUse"
          patternTransform="rotate(45)"
        >
          <path
            stroke="#78c679"
            stroke-opacity="1"
            stroke-width="4"
            stroke-linecap="round"
            stroke-linejoin="round"
            fill="none"
            pointer-events="none"
            d="M0 2 H 8"
          ></path>
          <path
            stroke="#ffffff"
            stroke-opacity="0"
            stroke-width="4"
            stroke-linecap="round"
            stroke-linejoin="round"
            fill="none"
            pointer-events="none"
            d="M0 6 H 8"
          ></path>
        </pattern>
        <pattern
          id="pattern-many-protections"
          x="0"
          y="0"
          width="8"
          height="8"
          patternUnits="userSpaceOnUse"
          patternContentUnits="userSpaceOnUse"
          patternTransform="rotate(45)"
        >
          <path
            stroke="#238443"
            stroke-opacity="1"
            stroke-width="4"
            stroke-linecap="round"
            stroke-linejoin="round"
            fill="none"
            pointer-events="none"
            d="M0 2 H 8"
          ></path>
          <path
            stroke="#ffffff"
            stroke-opacity="0"
            stroke-width="4"
            stroke-linecap="round"
            stroke-linejoin="round"
            fill="none"
            pointer-events="none"
            d="M0 6 H 8"
          ></path>
        </pattern>

        <!-- city protections have a slightly modified pattern to better differentiate them -->
        <pattern
          id="pattern-few-protections--city-level"
          x="0"
          y="0"
          width="8"
          height="8"
          patternUnits="userSpaceOnUse"
          patternContentUnits="userSpaceOnUse"
          patternTransform="rotate(135)"
        >
          <path
            stroke="#d9f0a3"
            stroke-opacity="1"
            stroke-width="4"
            stroke-linecap="round"
            stroke-linejoin="round"
            fill="none"
            pointer-events="none"
            d="M0 2 H 8"
          ></path>
          <path
            stroke="#ffffff"
            stroke-opacity="0"
            stroke-width="4"
            stroke-linecap="round"
            stroke-linejoin="round"
            fill="none"
            pointer-events="none"
            d="M0 6 H 8"
          ></path>
        </pattern>
        <pattern
          id="pattern-some-protections--city-level"
          x="0"
          y="0"
          width="8"
          height="8"
          patternUnits="userSpaceOnUse"
          patternContentUnits="userSpaceOnUse"
          patternTransform="rotate(135)"
        >
          <path
            stroke="#78c679"
            stroke-opacity="1"
            stroke-width="4"
            stroke-linecap="round"
            stroke-linejoin="round"
            fill="none"
            pointer-events="none"
            d="M0 2 H 8"
          ></path>
          <path
            stroke="#ffffff"
            stroke-opacity="0"
            stroke-width="4"
            stroke-linecap="round"
            stroke-linejoin="round"
            fill="none"
            pointer-events="none"
            d="M0 6 H 8"
          ></path>
        </pattern>
        <pattern
          id="pattern-many-protections--city-level"
          x="0"
          y="0"
          width="8"
          height="8"
          patternUnits="userSpaceOnUse"
          patternContentUnits="userSpaceOnUse"
          patternTransform="rotate(135)"
        >
          <path
            stroke="#238443"
            stroke-opacity="1"
            stroke-width="4"
            stroke-linecap="round"
            stroke-linejoin="round"
            fill="none"
            pointer-events="none"
            d="M0 2 H 8"
          ></path>
          <path
            stroke="#ffffff"
            stroke-opacity="0"
            stroke-width="4"
            stroke-linecap="round"
            stroke-linejoin="round"
            fill="none"
            pointer-events="none"
            d="M0 6 H 8"
          ></path>
        </pattern>
      </defs>
    </svg>
  </body>
</html>
